Table of Contents

Class: CvsLogDialog | eric3/VCS/cvsPackage/LogDialog.py
--- | ---

### Module implementing a dialog to show the output of the cvs log command process.

The dialog is nonmodal. Clicking a link in the upper text pane shows a diff of the versions.

Base Classes |
--- | ---
LogForm

Methods |
--- | ---
__init__ closeEvent handleLinkClicked handleProcessExited handleReadStderr handleReadStdout start
| __init__

    __init__ (
            self,
            vcs,
            parent=None,
            )

### Constructor

#### Arguments

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

| closeEvent

    closeEvent ( self,  e )

### Private slot implementing a close event handler.

#### Arguments

e
  close event (QCloseEvent)

| handleLinkClicked

    handleLinkClicked ( self,  link )

### Private slot to handle the linkClicked signal of the contents pane.

#### Arguments

link
  the link that was clicked (QString)

| handleProcessExited

    handleProcessExited ( self )

### Private slot to handle the processExited signal.

Doesn't do anything right now.

| handleReadStderr

    handleReadStderr ( self )

### Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

| handleReadStdout

    handleReadStdout ( self )

### Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

| start

    start ( self,  fn )

### Public slot to start the cvs log command.

#### Arguments

fn
  filename to be diffed (string)

Table of Contents

This document was automatically generated by HappyDoc version 2.1